Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.PayLoadData Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (version, crypto_filter, file_name, file_size, description)
| Constructor, with parameters. More...
| Set (version, crypto_filter, file_name, file_size, description)
| Set value. More...

## Public Attributes
| crypto_filter
| The name of the cryptographic filter used to encrypt the encrypted payload document.
| description
| Description for payload file to show applications or confront users prompt information.
| file_name
| The payload file name.
| file_size
| The payload file size.
| version
| The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.

## Detailed Description

This class represents payload data, which is used for a PDF 2.0 wrapped PDF document.

## Member Function Documentation

## ◆ constructor()

FSDK.PayLoadData.constructor | ( | version | ,
|  | crypto_filter | ,
|  | file_name | ,
|  | file_size | ,
|  | description |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.

## ◆ Set()

FSDK.PayLoadData.Set | ( | version | ,
|  | crypto_filter | ,
|  | file_name | ,
|  | file_size | ,
|  | description |
| ) |  |

Set value.

Parameters

  [in] | version | The version number of the cryptographic filter used to encrypt the encrypted payload referenced by this dictionary.
  [in] | crypto_filter | The name of the cryptographic filter used to encrypt the encrypted payload document.
  [in] | file_name | The payload file name.
  [in] | file_size | The payload file size.
  [in] | description | Description for payload file to show applications or confront users prompt information.